$ancho-movil: 768px

.pagina
	background-color: black

.panorama
	height: 100vh
	width: 100vw
	overflow: auto

	svg
		width: 100%
		height: auto
		&.vertical
			width: auto
			height: 100%


.marcadorPuntos
		cursor: pointer

.footer
	color: white
	text-align: center
	position: relative
	background-image: radial-gradient( ellipse, rgba(0,0,0, 0.4), transparent, transparent)
	margin: -1rem
	padding: 1rem
	$t: 20px
	$c: rgba(0,0,0,0.9)
	//filter: drop-shadow($t $t $t*2 $c) drop-shadow((-$t) $t $t*2 $c) drop-shadow($t (-$t) $t*2 $c) drop-shadow((-$t) (-$t) $t*2 $c)

	@media (max-width: $ancho-movil)
		top:0px
	@media (min-width: $ancho-movil)
		text-align: right

	h3
		font-weight: normal
		font-size: 18px
		line-height: 1
		margin: 0 0 .2em
		text-shadow: 0 0 $t black

		@media (min-width: $ancho-movil)
			font-size: 30px

	h1
		font-weight: normal
		font-size: 36px
		line-height: 1
		margin: 0 0 .1em
		text-shadow: 0 0 $t black

		@media (min-width: $ancho-movil)
			font-size: 60px

	p
		font-weight: normal
		font-size: 12px
		line-height: 1
		margin: 0

.marcador
	position: relative
	cursor: pointer
	z-index: 100
	fill: black
	transition: all 250ms

	text
		fill: #FDBA30
		text-transform: uppercase

.punto
	circle
		fill: rgba(0,0,0,0.1)
		stroke: #FDBA30
		&:last-of-type
			fill: #FDBA30

.escritorio
	display: none


@media (min-width: $ancho-movil)
	.escritorio
		display: initial
	.movil
		display: none


.hover
	fill: #FDBA30

	:local
		.centro
			fill: black

	text
		fill: black


	.punto
		circle
			fill: transparent
			stroke: #FDBA30
			&:last-of-type
				fill: #FDBA30

.btnPuntos
	position: absolute
	top: calc(1rem + 30px)
	right: calc(1rem + 60px)
	transform: translateY(-50%)
	margin: 0 .5rem
	max-width: 35vw

	span
		display: block
		background-color: black
		color: red

		font-weight: bold
		font-size: 10px
		line-height: 1
		padding: .5em 1em
		border-radius: 2em
		text-transform: uppercase

	svg
		display: none


	@media (min-width: $ancho-movil)
		display: flex
		display: none
		top: 50%
		right: 40px
		transform: translateY(-50%)
		margin: 0
		padding: .5em 1.2em

		svg
			margin-left: .5em
			display: block
